> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates an arcflow configuration file that includes profiles settings, connector settings, and/or workspace settings.

> Creates an arcflow configuration file that includes profiles settings, connector settings, and/or workspace settings.



## OpenAPI

````yaml 26.3/cloud/en/api-reference/openapi.json POST /export
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /export:
    post:
      tags:
        - export
      summary: >-
        Creates an arcflow configuration file that includes profiles settings,
        connector settings, and/or workspace settings.
      description: >-
        Creates an arcflow configuration file that includes profiles settings,
        connector settings, and/or workspace settings.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/export_input'
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/export_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    export_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: >-
            The Id of the workspace to export. If you do not specify either a
            workspace or a connector, all workspaces and all connectors are
            exported.
        ConnectorId#:
          type: string
          description: >-
            The Id of the connector to export. To export multiple connectors in
            one request, repeat the ConnectorId parameter for each one. If you
            do not specify either a workspace or a connector, all connectors in
            all workspaces are exported. If you specify a connector and a
            workspace and the connector does not exist in the workspace, an
            error is thrown. 
        FlowAPI#:
          type: string
          description: >-
            The Id of the Flow API to export. To export multiple Flow APIs in
            one request, repeat the FlowAPI parameter for each one.
        IncludeProfile:
          type: string
          description: >-
            Whether profile related settings should be included in the exported
            arcflow.
        FlowPassword:
          type: string
          description: >-
            The password used to encrypt sensitive values (such as credentials
            and private keys) in the exported configuration file.
        GlobalSettings:
          type: string
          description: >-
            A comma-separated list of the global settings to include in the
            export. Use All to export all global settings. Available values are
            'All, Alerts, Advanced, AdminAPI, Certificates, Connections,
            Documents, Partners, Reports, Roles, SSO, Users, Vaults'.
        ProfileSettings:
          type: string
          description: >-
            A comma-separated list of the profiles to include in the export. Use
            Matching to export only the profiles used by the connectors included
            in the export. Available values are 'Matching, AS2, AS4, FTPServer,
            GISB, HL7MLLP, OFTP, RosettaNet, SFTPServer'.
    export_output:
      type: array
      items:
        type: object
        properties:
          Arcflow:
            type: string
            description: The Base64-encoded content of the exported arcflow.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````